Subject: bug#28149: 26.0.50; Emacs regularly hangs for multiple seconds in e.g. find-file

From: Eli Zaretskii <[email-masked]>
Date: Mon, 21 Aug 2017 17:58:09 +0300

> From: Alexander Asteroth <[email-masked]>
> Cc: Alexander Asteroth <[email-masked]>, [email-masked]
> Date: Mon, 21 Aug 2017 09:07:05 +0200
> 
> I tried and after bisection after bisection, hangs got less but did not
> disappear. Then I did one final test with emacs -Q again and actually
> managed, after several minutes, a hanging as well, after find-file with
> completion in buffers with lots of files in it (/usr/share/... or
> similar).
> 
> I come to the conclusion, that it probably is not an emacs problem at
> all but rather a hardware or OS problem that manifests only in a singe
> threaded application like emacs.

Hmm.  This description is not entirely consistent with your original
report, which said:

> my emacs hangs pretty often anf for 10 secs. ca. when I am prompted for
> e.g. a file in find-file, or an interactive function in M-x or a
> shell-command in read-shell-command. It seems to happen only, in these
> cases, when there is an option to auto-complete.

This doesn't sound like the hangs were while Emacs was actually
auto-completing on file names.  Was that just an inaccuracy in the
description, and you in fact see the hangs only while Emacs completes
on file names, after you type TAB etc.?

In any case, 10 sec for completion sounds like a lot to me.
Especially since yours looks like an optimized build.  How many files
do you have in the directory where completion is so slow?  And what
kind of CPU do you have on that system?

Thanks.